Page MenuHomePhabricator

[VPlan] Move usesScalars/onlyFirstLaneUsed to VPUser.
ClosedPublic

Authored by fhahn on May 4 2022, 9:36 AM.

Details

Summary

Those helpers model properties of a user and they should also be
available to non-recipe users. This will be used in D123537 for a new
exit value user.

Diff Detail

Event Timeline

fhahn created this revision.May 4 2022, 9:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2022, 9:36 AM
fhahn requested review of this revision.May 4 2022, 9:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2022, 9:36 AM
Herald added a subscriber: vkmr. · View Herald Transcript
fhahn updated this revision to Diff 427347.May 5 2022, 8:57 AM

Remove casts from VPUser -> VPRecipeBase before accessing usesScalars/onlyFirstLaneUsed.

Ayal accepted this revision.May 16 2022, 10:51 AM

Looks good! Minor documentation update nits.

llvm/lib/Transforms/Vectorize/VPlanValue.h
291

nit: "recipe" >> "VPUser"?

299

ditto

This revision is now accepted and ready to land.May 16 2022, 10:51 AM
fhahn updated this revision to Diff 429982.May 17 2022, 3:17 AM

Address comments & aebase before landing.

This revision was landed with ongoing or failed builds.May 17 2022, 3:20 AM
This revision was automatically updated to reflect the committed changes.